Permalink
Browse files

Documented a workaround to invalid gemspecs in the error message re #…

  • Loading branch information...
1 parent fc44880 commit 676286297ef562a3a136a5acf2c222f2907cc83c Bradley Schaefer committed Apr 10, 2012
Showing with 2 additions and 1 deletion.
  1. +2 −1 lib/bundler/fetcher.rb
View
3 lib/bundler/fetcher.rb
@@ -175,7 +175,8 @@ def fetch_dependency_remote_specs(gem_names)
raise GemspecError, %{Unfortunately, the gem #{s[:name]} (#{s[:number]}) } +
%{has an invalid gemspec. As a result, Bundler cannot install this Gemfile. } +
%{Please ask the gem author to yank the bad version to fix this issue. For } +
- %{more information, see http://bit.ly/syck-defaultkey.}
+ %{more information, see http://bit.ly/syck-defaultkey. For a temporary } +
+ %{workaround try using the --full-index option.}
else
raise e
end

0 comments on commit 6762862

Please sign in to comment.